Subject: Re: newb: Given a commit id, find which branches have it as an ancestor

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Mar 2009 00:37:21 -0700

Johannes Sixt <[email-masked]> writes:

> Your best bet is perhaps that you create a branch at the commit
>
>   $ git branch tmp-branch your_sha1
>
> so that the commits are not lost, then you cherry-pick them to master.

It could be that there are more commits that are built on top of the one
you are aware of.  Finding unreachable commits from "git fsck --full"
might help you find them.